package com.rjconsultores.ventaboletos.relatorios.impl;

import java.sql.Connection;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.rjconsultores.ventaboletos.entidad.CtrlSerieEmbarcada;
import com.rjconsultores.ventaboletos.relatorios.utilitarios.ArrayDataSource;
import com.rjconsultores.ventaboletos.relatorios.utilitarios.Relatorio;

public class RelatorioAutorizacaoUsoSerieEmbarcada extends Relatorio {
 

	public RelatorioAutorizacaoUsoSerieEmbarcada(final List<CtrlSerieEmbarcada> listaSerieEmbarcada, Connection conexao, HashMap<String, Object> parametros) throws Exception {


		super(parametros, conexao);
		
		this.setCustomDataSource(new ArrayDataSource(this) {

			public void initDados() throws Exception {
				
				for(CtrlSerieEmbarcada c : listaSerieEmbarcada) {
					Map<String, Object> dataResult = new HashMap<String, Object>();
					dataResult.put("id", c.getCtrlSerieEmbarcadaId());
					dataResult.put("empresa", c.getEmpresa().getNombempresa());
					dataResult.put("uf", c.getEstado().getCveestado());		
					dataResult.put("serieBPe", c.getSerie());
					dataResult.put("numeroBPe", c.getNumeroCorrente());
					dataResult.put("descricao", c.getDispositivoEmbarcada() == null ? "" : c.getDispositivoEmbarcada().getDescricao());
					dataResult.put("puntoVenta", c.getPuntoventa().getNombpuntoventa());
					
					this.dados.add(dataResult);
				}
			}
		});
	}

	@Override
	protected void processaParametros() throws Exception {

	}
	
}
